W aggrid vue

A wrapper for ag-grid-vue.

Version: 2.0.20 Updated: 06/11/2021

By: yuda-lyu License: MIT

Downloads Last 30 Days: 630

Install

npm i w-aggrid-vue
yarn add w-aggrid-vue

Repository: https://github.com/yuda-lyu/w-aggrid-vue

CDNs

bundle.run: https://bundle.run/w-aggrid-vue

jsDelivr: https://cdn.jsdelivr.net/npm/w-aggrid-vue

unpkg: https://unpkg.com/w-aggrid-vue

w-aggrid-vue

A wrapper for ag-grid-vue.

language language npm version Build Status license gzip file size npm download jsdelivr download

Documentation

To view documentation or get support, visit docs.

Example

To view some examples for more understanding, visit examples:

all examples: web [source code]

Installation

Using npm(ES6 module):

Note: w-aggrid-vue is mainly dependent on ag-grid-community and ag-grid-vue.

npm i w-aggrid-vue

In a browser(UMD module):

Note: w-aggrid-vue is mainly dependent on vue, ag-grid-community and ag-grid-vue.

Note: umd file includes with lodash and wsemi, by using tree-shaking for dead-code elimination.

[Optional] Add script with nomodule for IE11.

<script nomodule src="https://cdn.jsdelivr.net/npm/@babel/polyfill/dist/polyfill.min.js"></script>

[Necessary] Add script for vue.

<script src="https://cdn.jsdelivr.net/npm/vue@2.x/dist/vue.min.js"></script>

[Necessary] Add script for ag-grid-community and don't need to include css, because has included them by umd file.

<script src="https://cdn.jsdelivr.net/npm/ag-grid-community@25.3.0/dist/ag-grid-community.min.noStyle.js"></script>
or
<script src="https://cdn.jsdelivr.net/npm/ag-grid-enterprise@25.3.0/dist/ag-grid-enterprise.min.noStyle.js"></script>

[Necessary] Add script for ag-grid-vue.

<script src="https://cdn.jsdelivr.net/npm/ag-grid-vue@25.3.0/dist/ag-grid-vue.umd.js"></script>

[Necessary] Add script for w-aggrid-vue.

<script src="https://cdn.jsdelivr.net/npm/w-aggrid-vue@2.0.20/dist/w-aggrid-vue.umd.js"></script>
Categories: Vue js